const colors = require('tailwindcss/colors')

module.exports = {
  mode: 'jit',
  future: {
//    removeDeprecatedGapUtilities: true,
//    purgeLayersByDefault: true,
  },

  content: [
    "./src/**/*.vue",
    "./index.html"
  ],
  theme: {
    extend: {
      colors: {
        indigo: '#5c6ac4',
        blue: '#007ace',
        nidium: '#3eb7b3',
        teal: colors.teal,
        gray: {
            100: '#f7fafc',
            200: '#edf2f7',
            300: '#e2e8f0',
            400: '#cbd5e0',
            500: '#a0aec0',
            600: '#718096',
            700: '#4a5568',
            800: '#2d3748',
            900: '#1a202c',
          },
      },

      height: {
        '1/2': '50%',
        '1/3': '33.333333%',
        '2/3': '66.666667%',
        '1/4': '25%',
        '2/4': '50%',
        '3/4': '75%',
        '1/5': '20%',
        '2/5': '40%',
        '3/5': '60%',
        '4/5': '80%',
        '1/6': '16.666667%',
        '2/6': '33.333333%',
        '3/6': '50%',
        '4/6': '66.666667%',
        '5/6': '83.333333%',
        '1/12': '8.333333%',
        '2/12': '16.666667%',
        '3/12': '25%',
        '4/12': '33.333333%',
        '5/12': '41.666667%',
        '6/12': '50%',
        '7/12': '58.333333%',
        '8/12': '66.666667%',
        '9/12': '75%',
        '10/12': '83.333333%',
        '11/12': '91.666667%'
      }
    },
  },
  variants: {},
  plugins: [],
}
